Captions Burn In
Snapshot Catalog Entry
This page is generated from broker tools/list snapshot data.
Execute ffmpeg.captions_burn_in through the broker.
Request Body
{
"jsonrpc": "2.0",
"id": "ffmpeg-captions-burn-in-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.captions_burn_in",
"arguments": {
"asset_id": "asset_id_123",
"captions_srt": "",
"captions_vtt": "",
"words_json": "",
"brand_kit_id": "",
"highlight_mode": "",
"position": "",
"font_size": "",
"font_color": "",
"box_color": ""
}
}
}
Arguments Schema
{
"properties": {
"asset_id": {
"type": "string"
},
"captions_srt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"captions_vtt": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"words_json": {
"anyOf": [
{
"items": {
"additionalProperties": true,
"type": "object"
},
"type": "array"
},
{
"type": "null"
}
]
},
"brand_kit_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"highlight_mode": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"position": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"font_size": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"font_color": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"box_color": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"box_opacity": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"highlight_color": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"padding_px": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"max_chars": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"max_lines": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"max_words": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"safe_zone_profile": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"safe_zone_bottom_px": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"safe_zone_top_px": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"font_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"font_asset_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"priority": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"asset_id"
],
"type": "object"
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ffmpeg-captions-burn-in-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.captions_burn_in",
"arguments": {
"asset_id": "asset_id_123",
"captions_srt": "",
"captions_vtt": "",
"words_json": "",
"brand_kit_id": "",
"highlight_mode": "",
"position": "",
"font_size": "",
"font_color": "",
"box_color": ""
}
}
}'
const response = await fetch('https://madpanda3d.com/lab/mad-mcps/portal/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "ffmpeg-captions-burn-in-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.captions_burn_in",
"arguments": {
"asset_id": "asset_id_123",
"captions_srt": "",
"captions_vtt": "",
"words_json": "",
"brand_kit_id": "",
"highlight_mode": "",
"position": "",
"font_size": "",
"font_color": "",
"box_color": ""
}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "ffmpeg-captions-burn-in-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.captions_burn_in",
"arguments": {
"asset_id": "asset_id_123",
"captions_srt": "",
"captions_vtt": "",
"words_json": "",
"brand_kit_id": "",
"highlight_mode": "",
"position": "",
"font_size": "",
"font_color": "",
"box_color": ""
}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 502 Upstream Error
{
"ok": true,
"message": "Tool ffmpeg.captions_burn_in executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "Upstream MCP returned a non-success status."
}